#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Red

//---- input parameters
extern int    Length=20;      // Bollinger Bands Period
extern double Deviation=0.38;    // Deviation was 2
//---- indicator buffers
double UpBuffer[];
double DnBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
  int init()
  {
   string short_name;
//---- indicator line
   
   SetIndexBuffer(0,UpBuffer);
   SetIndexBuffer(1,DnBuffer);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   return(0);
  }

//+------------------------------------------------------------------+
//| Bollinger Bands_Stop_v1                                             |
//+------------------------------------------------------------------+
int start() {
   int i, Indicator_Counted=IndicatorCounted();
   double tmpUP, tmpDN, midle, delta;
   int limit=Bars-Indicator_Counted;
   if (limit>1) limit=Bars-Length-1;
   
   
   for (i=limit;i>=0;i--) {	
     tmpUP=iBands(NULL,0,Length,1,0,PRICE_CLOSE,MODE_UPPER,i);
     tmpDN=iBands(NULL,0,Length,1,0,PRICE_CLOSE,MODE_LOWER,i);
	
	  midle=(tmpUP+tmpDN)/2.0;
	  delta=(tmpUP-tmpDN)/2.0;
	  UpBuffer[i]=midle+Deviation*delta;
	  DnBuffer[i]=midle-Deviation*delta;

   }
	return(0);	
 }

